scanlogic SL11R USB device won't work with 2.6.27-11 kernel

Bug #336189 reported by maddin on 2009-03-01
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

SRU justification:

Impact: We have an -updates regression for the ScanLogic SL11R-IDE USB disk. This device worked normally up to 2.6.27-11 kernel where it regressed.

Fix: Add the required quirk for this device to the unusual devices list. This has been tested by the device owner and reported to fix the regression.

---

Using Ubuntu 8.10 with latest kernel 2.6.27-11.
my "Transcend USB Card Reader" does no longer work with this kernel. with the previous kernel 2.6.27-9 everything is ok.

lsusb reports the device as (using kernel 2.6.27-9)
Bus 003 Device 003: ID 04ce:0002 ScanLogic Corp. SL11R-IDE IDE Bridge

with kernel 2.6.27-11 i will get these messages in /var/log/messages, and the device cannot be accessed.
Feb 23 08:18:36 birte kernel: [ 184.799043] USB Mass Storage support registered.
Feb 23 08:18:41 birte kernel: [ 189.854649] scsi scan: INQUIRY result too short (5), using 36
Feb 23 08:18:41 birte kernel: [ 189.854667] scsi 6:0:0:0: Direct-Access CYPRESS SM-CF 0.78 PQ: 0 ANSI: 0
Feb 23 08:18:41 birte kernel: [ 189.904617] scsi scan: INQUIRY result too short (5), using 36
Feb 23 08:18:41 birte kernel: [ 189.904629] scsi 6:0:0:1: Direct-Access CYPRESS SM-CF 0.78 PQ: 0 ANSI: 0
Feb 23 08:18:41 birte kernel: [ 189.944676] sd 6:0:0:0: [sdc] Attached SCSI removable disk
Feb 23 08:18:41 birte kernel: [ 189.946842] sd 6:0:0:0: Attached scsi generic sg3 type 0
Feb 23 08:18:41 birte kernel: [ 189.999577] sd 6:0:0:1: [sdd] Unit Not Ready
Feb 23 08:18:41 birte kernel: [ 189.999590] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:41 birte kernel: [ 189.999599] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.491616] sd 6:0:0:1: [sdd] 2001889 512-byte hardware sectors (1025 MB)
Feb 23 08:18:42 birte kernel: [ 190.507596] sd 6:0:0:1: [sdd] Write Protect is off
Feb 23 08:18:42 birte kernel: [ 190.569627] sd 6:0:0:1: [sdd] 2001889 512-byte hardware sectors (1025 MB)
Feb 23 08:18:42 birte kernel: [ 190.585625] sd 6:0:0:1: [sdd] Write Protect is off
Feb 23 08:18:42 birte kernel: [ 190.587855] sdd: sdd1
Feb 23 08:18:42 birte kernel: [ 190.629753] sd 6:0:0:1: [sdd] Attached SCSI removable disk
Feb 23 08:18:42 birte kernel: [ 190.631462] sd 6:0:0:1: Attached scsi generic sg4 type 0
Feb 23 08:18:42 birte kernel: [ 190.815572] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.815592] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.827561] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.827575] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.839581] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.839598] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.851585] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.851602] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.863581] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.863596] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.875581] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.875594] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.887581] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.887595] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.899583] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
Feb 23 08:18:42 birte kernel: [ 190.899599] sd 6:0:0:1: [sdd] Add. Sense: No additional sense information
Feb 23 08:18:42 birte kernel: [ 190.911582] sd 6:0:0:1: [sdd] Sense Key : No Sense [current]
F

maddin (keinhaar) wrote :
Andy Whitcroft (apw) on 2009-03-05
Changed in linux:
status: New → Triaged
Changed in linux:
importance: Undecided → High
Andy Whitcroft (apw) on 2009-03-10
Changed in linux:
assignee: nobody → apw
status: Triaged → In Progress
Andy Whitcroft (apw) wrote :

@maddin -- can you attach a boot log and lsusb output from the good -9 kernel please for comparison. Does this device normally show two disks or just one. Is see one which looked like it was sensible and one which is not at all well in this log.

Changed in linux:
status: In Progress → Incomplete
maddin (keinhaar) wrote :

Hi Andy,

the device is a dual card reader, but i never owned a card for the second slot. There was always only one device visible (i think that is ok).

hope this will help.
martin

lsusb:

Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 04ce:0002 ScanLogic Corp. SL11R-IDE IDE Bridge
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 093a:2510 Pixart Imaging, Inc.
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 04f9:0182 Brother Industries, Ltd Composite Device
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Andy Whitcroft (apw) on 2009-03-24
Changed in linux:
status: Incomplete → In Progress
Andy Whitcroft (apw) wrote :

Looking at this it appears that this device has a broken Inquiry command. Looking at the existing unusual_dev's entries there is already one for the 0.74 version of this device. This appears to be a 0.78 version. I have added an unusual_dev entry for the 0.78 and lets see if that fixes this device. I have built some test kernels with this change, if you could test one of those and report back here that would be great. Kernels are at the URL below:

    http://people.ubuntu.com/~apw/lp336189-intrepid/

Changed in linux:
status: In Progress → Incomplete
maddin (keinhaar) wrote :

using this kernel:
linux-image-2.6.27-14-generic_2.6.27-14.31~lp336189apw1_i386.deb

still produces lots of messages as you can see in the attached file, but
the device is working again. this one is fixed for me.

thanks.

Andrey 'sshd' Petrenko (sshd) wrote :
Download full text (4.0 KiB)

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu jaunty (development branch)
Release: 9.04
Codename: jaunty

Linux sshd-desktop 2.6.28-11-generic #38-Ubuntu SMP Fri Mar 27 09:00:52 UTC 2009 i686 GNU/Linux

When i connect my external usb drive WD 2500BEV in dmesg i see next:

[ 919.548017] usb 2-3: new high speed USB device using ehci_hcd and address 4
[ 919.681389] usb 2-3: configuration #1 chosen from 1 choice
[ 919.681650] scsi9 : SCSI emulation for USB Mass Storage devices
[ 919.688495] usb-storage: device found at 4
[ 919.688497] usb-storage: waiting for device to settle before scanning
[ 924.688143] usb-storage: device scan complete
[ 924.688636] scsi 9:0:0:0: Direct-Access WD 2500BEV External 1.05 PQ: 0 ANSI: 4
[ 924.689870] sd 9:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
[ 924.690616] sd 9:0:0:0: [sdb] Write Protect is off
[ 924.690618] sd 9:0:0:0: [sdb] Mode Sense: 21 00 00 00
[ 924.690620] sd 9:0:0:0: [sdb] Assuming drive cache: write through
[ 924.695369] sd 9:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
[ 924.696117] sd 9:0:0:0: [sdb] Write Protect is off
[ 924.696119] sd 9:0:0:0: [sdb] Mode Sense: 21 00 00 00
[ 924.696122] sd 9:0:0:0: [sdb] Assuming drive cache: write through
[ 924.696126] sdb: sdb1
[ 924.742607] sd 9:0:0:0: [sdb] Attached SCSI disk
[ 924.742669] sd 9:0:0:0: Attached scsi generic sg2 type 0
[ 927.912617] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 927.912623] Info fld=0x0
[ 927.912625] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 931.289990] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 931.289997] Info fld=0x0
[ 931.289999] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 934.228114] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 934.228120] Info fld=0x0
[ 934.228121] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 937.174364] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 937.174371] Info fld=0x0
[ 937.174373] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 940.262986] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 940.262993] Info fld=0x0
[ 940.262994] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 943.211112] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 943.211119] Info fld=0x0
[ 943.211120] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 946.422112] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 946.422118] Info fld=0x0
[ 946.422120] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 949.493611] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 949.493617] Info fld=0x0
[ 949.493618] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 952.728731] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 952.728738] Info fld=0x0
[ 952.728740] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 955.795234] sd 9:0:0:0: [sdb] Sense Key : No Sense [current]
[ 955.795240] Info fld=0x0
[ 955.795242] sd 9:0:0:0: [sdb] Add. Sense: No additional sense information
[ 959.144482] sd 9...

Read more...

Andy Whitcroft (apw) on 2009-04-03
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Andy Whitcroft (apw) wrote :

@Andrey -- this bug has identified a specific device which does not work and the fix that is coming from it is specific to that device. As you are connecting a different external USB device your problem though similar would require a different fix and therefore we would need a separate bug filed for it. So could you please file a new bug in launchpad for this issue, against the linux kernel package and mention that in that report you have similar symptoms to this bug. Thanks!

summary: - usb card reader won't work with latest kernel update
+ transcend usb card reader won't work with 2.6.27-11 kernel
summary: - transcend usb card reader won't work with 2.6.27-11 kernel
+ scanlogic SL11R USB device won't work with 2.6.27-11 kernel
Stefan Bader (smb) on 2009-05-13
Changed in linux (Ubuntu Intrepid):
importance: Undecided → High
status: New → Fix Committed
Stefan Bader (smb) on 2009-05-13
description: updated
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Beattie (sbeattie) on 2009-06-16
tags: added: hw-specific
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
samotham (samotham) wrote :

I've got this problem using Jaunty on 2.6.28-15-generic #52-Ubuntu
Is it still the place about the problem (which seems fixed on Intrepid) ?

my dmesg looks says :

Oct 4 22:42:24 kernel: [ 5813.471156] usb 3-1: USB disconnect, address 2
Oct 4 22:42:37 kernel: [ 5826.508102] usb 1-2: new high speed USB device using ehci_hcd and address 3
Oct 4 22:42:37 kernel: [ 5826.644618] usb 1-2: configuration #1 chosen from 1 choice
Oct 4 22:42:38 kernel: [ 5827.562214] Initializing USB Mass Storage driver...
Oct 4 22:42:38 kernel: [ 5827.564546] scsi2 : SCSI emulation for USB Mass Storage devices
Oct 4 22:42:38 kernel: [ 5827.564921] usbcore: registered new interface driver usb-storage
Oct 4 22:42:38 kernel: [ 5827.564928] USB Mass Storage support registered.
Oct 4 22:42:43 kernel: [ 5832.565316] scsi 2:0:0:0: Direct-Access WD 2500BEV External 1.04 PQ: 0 ANSI: 4
Oct 4 22:42:43 kernel: [ 5832.568699] sd 2:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Oct 4 22:42:43 kernel: [ 5832.582068] sd 2:0:0:0: [sdb] Write Protect is off
Oct 4 22:42:43 kernel: [ 5832.582858] sd 2:0:0:0: [sdb] 488397168 512-byte hardware sectors: (250 GB/232 GiB)
Oct 4 22:42:43 kernel: [ 5832.585473] sd 2:0:0:0: [sdb] Write Protect is off
Oct 4 22:42:43 kernel: [ 5832.585494] sdb: sdb1
Oct 4 22:42:43 kernel: [ 5832.635941] sd 2:0:0:0: [sdb] Attached SCSI disk
Oct 4 22:42:43 kernel: [ 5832.636405] sd 2:0:0:0: Attached scsi generic sg2 type 0
Oct 4 22:44:16 kernel: [ 5924.951359] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 4 22:44:16 kernel: [ 5924.951370] Info fld=0x0
Oct 4 22:44:16 kernel: [ 5924.951372] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 4 22:44:16 kernel: [ 5924.992475] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 4 22:44:16 kernel: [ 5924.992483] Info fld=0x0
Oct 4 22:44:16 kernel: [ 5924.992484] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 4 22:44:16 kernel: [ 5925.033727] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 4 22:44:16 kernel: [ 5925.033734] Info fld=0x0

Martin Slota (martin-slota) wrote :

I'm having the a similar problem on Jaunty, kernels 2.6.28-15-generic and 2.6.28-16-generic. The device is an external USB drive, Western Digital Passport 320 GB. The system correctly detects and mounts the device but when reading certain files I get looping messages in dmesg looking as follows:

[ 105.224137] sd 5:0:0:0: [sdb] Add. Sense: No additional sense information
[ 108.204125] sd 5:0:0:0: [sdb] Sense Key : No Sense [current]
[ 108.204137] Info fld=0x0

This actually hangs any operation that I might have been doing with the disc. I tried e2fsck and badblock, both hang and can't be killed, and always at the same point. Can it be a hardware issue with the disc or is it the kernel?

Martin Slota (martin-slota) wrote :

I'm sorry, now I noticed this is not the right place to post my report because this bug is concerned with another device. I already filed a separate bug:

https://bugs.launchpad.net/ubuntu/+bug/460831

Pat Rice (patrick-j-rice) wrote :

reporting a simlar issue in
https://bugs.launchpad.net/ubuntu/+bug/460831

running the 2.6.28-16-server kernel with a WD (Western Digital) drive (My Book Essential Edition 2.0 WD10000H1U-00)

Thnaks
Pat

tags: added: intrepid
Fail2Ban (failtoban) on 2010-02-20
tags: added: needs-reassignment
tags: added: verification-done
removed: verification-needed
Steve Langasek (vorlon) on 2010-02-20
tags: removed: needs-reassignment verification-done
Stefan Bader (smb) wrote :

This is upstream since 2.6.34-rc2 and therefor in Maverick. Closing upstream task.

Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody
status: In Progress → Fix Released
Stefan Bader (smb) wrote :

Closing the Jaunty task as won't fix as Jaunty is outside the time-frame during which we would do SRU.

Changed in linux (Ubuntu Jaunty):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers